package ambev

import ambev.controllers.MachineDomainController
import ambev.controllers.UserDomainController
import ambev.controllers.DepartmentDomainController
import ambev.controllers.TaskDomainController
import ambev.entities.Machine

class Facade {
	private static facade = new Facade()
	private static machineCont = new MachineDomainController()
	private static userCont = new UserDomainController()
	private static departmentCont = new DepartmentDomainController()
	private static taskCont = new TaskDomainController()

	public static Facade getInstance() {
		return Facade.facade
	}

	/**
	* Machine operations
	*/
	public listMachines(params) {
		machineCont.listMachines(params)
	}

	public createMachine(params) {
		machineCont.createMachine(params)
	}

	public saveMachine(machineInstance) {
		machineCont.saveOrUpdateMachine(machineInstance)
	}

	public updateMachine(machineInstance) {
		machineCont.saveOrUpdateMachine(machineInstance)
	}

	public deleteMachine(machineInstance) {
		machineCont.deleteMachine(machineInstance)
	}

	/**
	* User operations
	*/
	public listUsers(params) {
		userCont.listUsers(params)
	}

	public createUser(params) {
		userCont.createUser(params)
	}

	public saveUser(userInstance) {
		userCont.saveOrUpdateUser(userInstance)
	}

	public updateUser(userInstance) {
		userCont.saveOrUpdateUser(userInstance)
	}

	public deleteUser(userInstance) {
		userCont.deleteUser(userInstance)
	}

	/**
	* Department operations
	*/
	public listDepartments(params) {
		departmentCont.listDepartments(params)
	}

	public createDepartment(params) {
		departmentCont.createDepartment(params)
	}

	public saveDepartment(departmentInstance) {
		departmentCont.saveOrUpdateDepartment(departmentInstance)
	}

	public updateDepartment(departmentInstance) {
		departmentCont.saveOrUpdateDepartment(departmentInstance)
	}

	public deleteDepartment(departmentInstance) {
		departmentCont.deleteDepartment(departmentInstance)
	}

	/**
	* Task operations
	*/
	public listTasks(params) {
		taskCont.listTasks(params)
	}

	public createTask(params) {
		taskCont.createTask(params)
	}

	public saveTask(taskInstance) {
		taskCont.saveOrUpdateTask(taskInstance)
	}

	public updateTask(taskInstance) {
		taskCont.saveOrUpdateTask(taskInstance)
	}

	public deleteTask(taskInstance) {
		taskCont.deleteTask(taskInstance)
	}

}