<%@ page import="ambev.entities.User" %>

<div class="fieldcontain ${hasErrors(bean: userInstance, field: 'name', 'error')} required">
	<label for="name">
		<g:message code="user.name.label" default="Name" />
		<span class="required-indicator">*</span>
	</label>
	<g:textField name="name" maxlength="100" required="" value="${userInstance?.name}"/>
</div>

<div class="fieldcontain ${hasErrors(bean: userInstance, field: 'username', 'error')} required">
	<label for="username">
		<g:message code="user.username.label" default="Username" />
		<span class="required-indicator">*</span>
	</label>
	<g:textField name="username" maxlength="16" required="" value="${userInstance?.username}"/>
</div>

<div class="fieldcontain ${hasErrors(bean: userInstance, field: 'password', 'error')} required">
	<label for="password">
		<g:message code="user.password.label" default="Password" />
		<span class="required-indicator">*</span>
	</label>
	<g:passwordField name="password" maxlength="16" required="" value="${userInstance?.password}"/>
</div>

<div class="fieldcontain ${hasErrors(bean: userInstance, field: 'role', 'error')} required">
	<label for="role">
		<g:message code="user.role.label" default="Role" />
		<span class="required-indicator">*</span>
	</label>
	<g:select name="role" from="${['Root', 'Administrator', 'Supervisor', 'Worker']}" required="" value="${fieldValue(bean: userInstance, field: 'role')}" keys="${userInstance.constraints.role.inList}" valueMessagePrefix="user.role"/>
</div>

<div class="fieldcontain ${hasErrors(bean: userInstance, field: 'department', 'error')} ">
	<label for="department">
		<g:message code="user.department.label" default="Department" />
	</label>
	<g:select id="department" name="department.id" from="${ambev.entities.Department.list().name}" optionKey="id" value="${userInstance?.department?.id}" keys="${ambev.entities.Department.list().id}" class="many-to-one" noSelection="['null': '']"/>
</div>

<div class="fieldcontain ${hasErrors(bean: userInstance, field: 'cpf', 'error')} ">
	<label for="cpf">
		<g:message code="user.cpf.label" default="CPF" />
	</label>
	<g:textField name="cpf" maxlenght="16" value="${userInstance.cpf}"/>
</div>