
<%@ page import="ambev.entities.User" %>
<!DOCTYPE html>
<html>
	<head>
		<meta name="layout" content="main">
		<g:set var="entityName" value="${message(code: 'user.label', default: 'User')}" />
		<title><g:message code="default.show.label" args="[entityName]" /></title>
	</head>
	<body>
		<a href="#show-user" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
		<div class="nav" role="navigation">
			<ul>
				<li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
				<li>
					<g:link class="list" action="index">
						<g:message code="default.list.label" args="[entityName]" />
					</g:link>
				</li>
				<li>
					<g:link class="create" action="create">
						<g:message code="default.new.label" args="[entityName]" />
					</g:link>
				</li>
			</ul>
		</div>
		<div id="show-user" class="content scaffold-show" role="main">
			<h1><g:message code="default.show.label" args="[entityName]" /></h1>
			<g:if test="${flash.message}">
				<div class="message" role="status">${flash.message}</div>
			</g:if>
			<ol class="property-list user">
				<g:if test="${userInstance?.name}">
				<li class="fieldcontain">
					<span id="name-label" class="property-label">
						<g:message code="user.name.label" default="Name" />
					</span>
					<span class="property-value" aria-labelledby="name-label">
						<g:fieldValue bean="${userInstance}" field="name"/>
					</span>
				</li>
				</g:if>
				<g:if test="${userInstance?.cpf}">
					<li class="fieldcontain">
						<span id="cpf-label" class="property-label">
							<g:message code="user.cpf.label" default="Cpf" />
						</span>
						<span class="property-value" aria-labelledby="cpf-label">
							<g:fieldValue bean="${userInstance}" field="cpf"/>
						</span>
					</li>
				</g:if>
				<g:if test="${userInstance?.username}">
					<li class="fieldcontain">
						<span id="username-label" class="property-label">
							<g:message code="user.username.label" default="Username" />
						</span>
						<span class="property-value" aria-labelledby="username-label">
							<g:fieldValue bean="${userInstance}" field="username"/>
						</span>
					</li>
				</g:if>
				<g:if test="${userInstance?.role}">
				<li class="fieldcontain">
					<span id="role-label" class="property-label">
						<g:message code="user.role.label" default="Role" />
					</span>
					<span class="property-value" aria-labelledby="role-label">
						${['Root', 'Administrator', 'Supervisor', 'Worker'].get(userInstance.role)}
					</span>
				</li>
				</g:if>
				<g:if test="${userInstance?.department}">
				<li class="fieldcontain">
					<span id="department-label" class="property-label">
						<g:message code="user.department.label" default="Department" />
					</span>
					<span class="property-value" aria-labelledby="department-label">
						<g:link controller="department" action="show" id="${userInstance?.department?.id}">
							${userInstance?.department?.name}
						</g:link>
					</span>
				</li>
				</g:if>
			</ol>
			<g:if test="${ambev.entities.Department.findByResponsible(userInstance)}">
				<g:form>
					<fieldset class="buttons">
						<g:link class="edit" action="edit" resource="${userInstance}">
							<g:message code="default.button.edit.label" default="Edit" />
						</g:link>
						<g:link class="delete" action="show" resource="${userInstance}" onclick="alert('${message(code: 'referenced.button.delete.confirm.message', default: 'This user is a department supervisor. Change the supervisor of its departments first.')}');">
							<g:message code="default.button.delete.label" default="Delete" />
						</g:link>
					</fieldset>
				</g:form>
			</g:if>
			<g:else>
				<g:form url="[resource:userInstance, action:'delete']" method="DELETE">
					<fieldset class="buttons">
						<g:link class="edit" action="edit" resource="${userInstance}">
							<g:message code="default.button.edit.label" default="Edit" />
						</g:link>
						<g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" />
					</fieldset>
				</g:form>
			</g:else>
		</div>
	</body>
</html>
